org.apache.felix.http.jetty.internal.webapp

## Class WebAppBundleContext

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.ContainerLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.eclipse.jetty.server.handler.AbstractHandlerContainer
        - - org.eclipse.jetty.server.handler.HandlerWrapper
          - - org.eclipse.jetty.server.handler.ScopedHandler
            - - org.eclipse.jetty.server.handler.ContextHandler
              - - org.eclipse.jetty.servlet.ServletContextHandler
                - - org.eclipse.jetty.webapp.WebAppContext
                  - - org.apache.felix.http.jetty.internal.webapp.WebAppBundleContext

All Implemented Interfaces:
  org.eclipse.jetty.server.Handler, org.eclipse.jetty.server.HandlerContainer, org.eclipse.jetty.util.Attributes, org.eclipse.jetty.util.ClassVisibilityChecker, org.eclipse.jetty.util.component.Container, org.eclipse.jetty.util.component.Destroyable, org.eclipse.jetty.util.component.Dumpable, org.eclipse.jetty.util.component.Dumpable.DumpableContainer, org.eclipse.jetty.util.component.Graceful, org.eclipse.jetty.util.component.LifeCycle, org.eclipse.jetty.webapp.WebAppClassLoader.Context

    public class WebAppBundleContext
    extends org.eclipse.jetty.webapp.WebAppContext

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.webapp.WebAppContext

`org.eclipse.jetty.webapp.WebAppContext.Context`

### Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.ServletContextHandler

`org.eclipse.jetty.servlet.ServletContextHandler.Decorator, org.eclipse.jetty.servlet.ServletContextHandler.Initializer, org.eclipse.jetty.servlet.ServletContextHandler.JspConfig, org.eclipse.jetty.servlet.ServletContextHandler.JspPropertyGroup, org.eclipse.jetty.servlet.ServletContextHandler.ServletContainerInitializerCaller, org.eclipse.jetty.servlet.ServletContextHandler.TagLib`

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.ContextHandler

`org.eclipse.jetty.server.handler.ContextHandler.AliasCheck, org.eclipse.jetty.server.handler.ContextHandler.ApproveAliases, org.eclipse.jetty.server.handler.ContextHandler.ApproveNonExistentDirectoryAliases, org.eclipse.jetty.server.handler.ContextHandler.Availability, org.eclipse.jetty.server.handler.ContextHandler.ContextScopeListener, org.eclipse.jetty.server.handler.ContextHandler.ContextStatus, org.eclipse.jetty.server.handler.ContextHandler.StaticContext`

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.AbstractHandler

`org.eclipse.jetty.server.handler.AbstractHandler.ErrorDispatchHandler`

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.Attributes

`org.eclipse.jetty.util.Attributes.Wrapper`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Graceful

`org.eclipse.jetty.util.component.Graceful.Shutdown`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`org.eclipse.jetty.util.component.LifeCycle.Listener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

`org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

`org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

### Field Summary

### Fields inherited from class org.eclipse.jetty.webapp.WebAppContext

`__dftServerClasses, __dftSystemClasses, BASETEMPDIR, DEFAULT_CONFIGURATION_CLASSES, ERROR_PAGE, SERVER_SRV_CLASSES, SERVER_SYS_CLASSES, TEMPDIR, WEB_DEFAULTS_XML`

### Fields inherited from class org.eclipse.jetty.servlet.ServletContextHandler

`_defaultSecurityHandlerClass, _gzipHandler, _jspConfig, _objFactory, _options, _securityHandler, _servletHandler, _sessionHandler, GZIP, NO_SECURITY, NO_SESSIONS, SECURITY, SESSIONS`

### Fields inherited from class org.eclipse.jetty.server.handler.ContextHandler

`_contextStatus, _scontext, DEFAULT_LISTENER_TYPE_INDEX, DEFAULT_MAX_FORM_CONTENT_SIZE, DEFAULT_MAX_FORM_KEYS, EXTENDED_LISTENER_TYPE_INDEX, MANAGED_ATTRIBUTES, MAX_FORM_CONTENT_SIZE_KEY, MAX_FORM_KEYS_KEY, SERVLET_LISTENER_TYPES, SERVLET_MAJOR_VERSION, SERVLET_MINOR_VERSION`

### Fields inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`_nextScope, _outerScope`

### Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`_handler`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

`KEY`

### Constructor Summary

Constructors
Constructor and Description
`WebAppBundleContext(String contextPath, org.osgi.framework.Bundle bundle, ClassLoader parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jetty.util.resource.Resource` `newResource(URL url)`

### Methods inherited from class org.eclipse.jetty.webapp.WebAppContext

`addOverrideDescriptor, addServerClass, addServerClasses, addSystemClass, addSystemClasses, configure, destroy, doStart, doStop, dump, getConfigurationClasses, getConfigurations, getCurrentWebAppContext, getDefaultConfigurationClasses, getDefaultsDescriptor, getDefaultServerClasses, getDefaultSystemClasses, getDescriptor, getExtraClasspath, getMetaData, getOverrideDescriptor, getOverrideDescriptors, getPermissions, getResource, getResourceAlias, getResourceAliases, getServerClasses, getServerClasspathPattern, getSystemClasses, getSystemClasspathPattern, getTempDirectory, getUnavailableException, getWar, getWebInf, isAllowDuplicateFragmentNames, isConfigurationDiscovered, isCopyWebDir, isCopyWebInf, isDistributable, isExtractWAR, isLogUrlOnStart, isParentLoaderPriority, isPersistTempDirectory, isServerClass, isServerClass, isServerResource, isSystemClass, isSystemClass, isSystemResource, isThrowUnavailableOnStartupException, loadConfigurations, loadServerClasses, loadSystemClasses, postConfigure, preConfigure, prependServerClass, prependSystemClass, removeEventListener, removeResourceAlias, setAllowDuplicateFragmentNames, setClassLoader, setConfigurationClasses, setConfigurationClasses, setConfigurationDiscovered, setConfigurations, setContextWhiteList, setCopyWebDir, setCopyWebInf, setDefaultsDescriptor, setDescriptor, setDisplayName, setDistributable, setEventListeners, setExtraClasspath, setExtractWAR, setLogUrlOnStart, setOverrideDescriptor, setOverrideDescriptors, setParentLoaderPriority, setPermissions, setPersistTempDirectory, setResourceAlias, setResourceAliases, setServer, setServerClasses, setServletSecurity, setSystemClasses, setTempDirectory, setThrowUnavailableOnStartupException, setWar, setWarResource, startContext, startWebapp, stopContext, stopWebapp, toString`

### Methods inherited from class org.eclipse.jetty.servlet.ServletContextHandler

`addDecorator, addEventListener, addFilter, addFilter, addFilter, addRoles, addServlet, addServlet, addServlet, callContextDestroyed, callContextInitialized, dynamicHolderAdded, getDecorators, getDefaultSecurityHandlerClass, getGzipHandler, getObjectFactory, getSecurityHandler, getServletContextHandler, getServletHandler, getSessionHandler, insertHandler, newSecurityHandler, newServletHandler, newSessionHandler, setDecorators, setDefaultSecurityHandlerClass, setGzipHandler, setHandler, setSecurityHandler, setServletHandler, setSessionHandler`

### Methods inherited from class org.eclipse.jetty.server.handler.ContextHandler

`addAliasCheck, addLocaleEncoding, addProgrammaticListener, addVirtualHosts, checkAlias, checkContext, checkContextPath, checkVirtualHost, clearAliasChecks, clearAttributes, contextDestroyed, contextInitialized, doHandle, doScope, enterScope, exitScope, getAliasChecks, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributeNameSet, getAttributes, getBaseResource, getClassLoader, getClassPath, getContextHandler, getContextPath, getContextPathEncoded, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getLocaleEncoding, getLocaleEncodings, getLogger, getMaxFormContentSize, getMaxFormKeys, getMimeTypes, getProtectedTargets, getRequestContextPath, getResourceBase, getResourcePaths, getServerInfo, getServletContext, getVirtualHosts, getWelcomeFiles, handle, handle, isAvailable, isCompactPath, isDurableListener, isProgrammaticListener, isProtectedTarget, isShutdown, isUsingSecurityManager, loadClass, newResource, newResource, removeAttribute, removeVirtualHosts, requestDestroyed, requestInitialized, setAliasChecks, setAllowNullPathInfo, setAttribute, setAttributes, setAvailable, setBaseResource, setCompactPath, setContextPath, setErrorHandler, setInitParameter, setLogger, setManagedAttribute, setMaxFormContentSize, setMaxFormKeys, setMimeTypes, setProtectedTargets, setResourceBase, setServerInfo, setUsingSecurityManager, setVirtualHosts, setWelcomeFiles, shutdown`

### Methods inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`handle, nextHandle, nextScope`

### Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`expandChildren, getHandler, getHandlers`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer

`doShutdown, expandHandler, findContainerOf, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

`doError, getServer`

### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

`addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dump, dumpBeans, dumpObject, dumpObjects, dumpStdErr, dumpThis, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, setStopTimeout, start, stop, unmanage, updateBean, updateBean, updateBeans`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, getStopTimeout, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.webapp.WebAppClassLoader.Context

`newResource`

### Methods inherited from interface org.eclipse.jetty.util.Attributes

`unwrap`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, start, stop, stop`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

`isDumpable`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

`dumpContainer, dumpIterable, dumpMapEntries, dumpObjects, dumpSelf, named`

### Constructor Detail

#### WebAppBundleContext

    public WebAppBundleContext(String contextPath,
                               org.osgi.framework.Bundle bundle,
                               ClassLoader parent)

### Method Detail

#### newResource

    public org.eclipse.jetty.util.resource.Resource newResource(URL url)
                                                         throws IOException

Overrides:
  `newResource` in class `org.eclipse.jetty.server.handler.ContextHandler`
Throws:
  `IOException`